--- src/keyring-macos.c.orig	2023-04-11 15:45:46.000000000 +0800
+++ src/keyring-macos.c	2023-04-11 21:13:34.000000000 +0800
@@ -3,6 +3,8 @@
 void oskeyring_macos_dummy(void) { }
 
 #ifdef __APPLE__
+#include <AvailabilityMacros.h>
+#if MAC_OS_X_VERSION_MAX_ALLOWED > 1060
 
 #include <CoreFoundation/CoreFoundation.h>
 #include <Security/Security.h>
@@ -929,4 +931,5 @@
   macos_init_protocol_list();
 }
 
+#endif // MAC_OS_X_VERSION_MAX_ALLOWED > 1060
 #endif // __APPLE__

--- src/keyring-secret-service.c.orig	2023-04-11 15:45:46.000000000 +0800
+++ src/keyring-secret-service.c	2023-04-11 21:16:11.000000000 +0800
@@ -2,8 +2,12 @@
 /* Avoid warning about empty compilation unit. */
 void keyring_secret_service_dummy(void) { }
 
+#ifdef __APPLE__
+#include <AvailabilityMacros.h>
+#endif
+
 #ifndef _WIN32
-#ifndef __APPLE__
+#if !defined(__APPLE__) || (defined(__APPLE__) && MAC_OS_X_VERSION_MAX_ALLOWED < 1070)
 
 
 #define R_NO_REMAP 1
@@ -30,5 +34,5 @@
   cleancall_init();
 }
 
-#endif // __APPLE__
+#endif // !defined(__APPLE__) || (defined(__APPLE__) && MAC_OS_X_VERSION_MAX_ALLOWED < 1070)
 #endif // _WIN32
